# (in)validate docker build cache with the HTTP "Last-Modified" header from github
ARG NAMESPACE=nim65s
ARG BRANCH=master
ADD https://api.github.com/repos/$NAMESPACE/robotpkg/commits/$BRANCH /
ADD https://api.github.com/repos/$NAMESPACE/robotpkg-wip/commits/$BRANCH /

RUN git remote set-url origin https://github.com/$NAMESPACE/robotpkg.git \
 && git pull \
 && git checkout ${BRANCH} \
 && cd wip \
 && git remote set-url origin https://github.com/$NAMESPACE/robotpkg-wip.git \
 && git pull \
 && git checkout ${BRANCH} \
 && echo "MAKE_JOBS = 4" >> /opt/openrobots/etc/robotpkg.conf \
 && for pkg in $(grep robotpkg- /pkgs | sed 's/robotpkg-//;s/py27-/py-/'); \
    do echo "PREFER.${pkg} = system" >> /opt/openrobots/etc/robotpkg.conf; \
    done
